Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.util.iterator
Class Map1Iterator

    java.lang.Object
      com.hp.hpl.jena.util.iterator.NiceIterator
          com.hp.hpl.jena.util.iterator.WrappedIterator
              com.hp.hpl.jena.util.iterator.Map1Iterator

All Implemented Interfaces:
  ClosableIterator, ExtendedIterator, java.util.Iterator

    public class Map1Iterator

extends WrappedIterator
implements ClosableIterator

An iterator that consumes an underlying iterator and maps its results before delivering them; supports remove if the underlying iterator does.

Version:
  Release='$Name: $' Revision='$Revision: 1.9 $' Date='$Date: 2008/01/02 12:07:36 $'
Author:
  jjc + kers

Constructor Summary
`Map1Iterator(Map1 m, java.util.Iterator it)` Construct a list of the converted.

Method Summary
`java.lang.Object` | `next()` next: defer to the base iterator

Methods inherited from class com.hp.hpl.jena.util.iterator.WrappedIterator
`close, close, create, createNoRemove, forTestingOnly_getBase, hasNext, remove`

Methods inherited from class com.hp.hpl.jena.util.iterator.NiceIterator
`andThen, andThen, asList, asSet, emptyIterator, filterDrop, filterKeep, mapWith, removeNext, toList, toSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.util.iterator.ClosableIterator
`close`

Methods inherited from interface java.util.Iterator
`hasNext, remove`

Constructor Detail

### Map1Iterator

    public Map1Iterator(Map1 m,
                        java.util.Iterator it)

  Construct a list of the converted.

  Parameters:
    `m` - The conversion to apply.
    `it` - the iterator of elements to convert

Method Detail

### next

    public java.lang.Object next()

  Description copied from class: `WrappedIterator`
  next: defer to the base iterator

  Specified by:
    `next` in interface `java.util.Iterator`
  Overrides:
    `next` in class `WrappedIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP